<?php
namespace Teknisa\CNC\Utilities;

class SalesMessageCNC {

    public function getMessage($id) {
        return $this->messages[$id];
    }

    private $messages = array(
        0  => 'Teste.',
        1  => 'A versão do aplicativo está diferente da versão do servidor. <br> Versão do aplicativo: ',
        2  => '<br> Versão do servidor: ',
        3  => 'Informe a filial.',
        4  => 'Informe o email do operador.',
        5  => 'Informe a senha.',
        6  => 'Operador não encontrado para a filial informada.',
        7  => 'Filial não encontrada.',
        8  => 'Senha inválida.',
        9  => 'Periodo sem realização de vendas.',
        10 => 'Cadastro realizado com sucesso.',
        11 => 'Não é possível deletar o tipo de campanha, pois está sendo utilizado.',
        12 => 'Manutenção realizada com sucesso.',
        13 => 'O consumidor não possui saldo suficiente para realizar a transação.',
        14 => 'Parametrização realizada com sucesso.',
        15 => 'Data de validade deve ser maior ou igual a data atual.',
        16 => 'Não existe operador cadastrado para o email informado.',
        17 => 'Um email foi encaminhado para o endereço informado.',
        18 => 'Exclusão não permitida. O benefício está sendo utilizado em alguma campanha.',
        19 => 'Benefício já incluso na campanha.',
        20 => 'Produto já está relacionado ao benefício da campanha.',
        21 => ' está relacionado a um benefício e não pode ser removido.',
        22 => 'Benefício possui um produto associado.',
        23 => 'Existe um beneficio associado à campanha.',
        24 => 'Cartão bloqueado com sucesso.',
        25 => 'Cartão não encontrado.',
        26 => 'Filial já está associada à campanha ',
        27 => 'Intervalo de horário coincide com horário pré cadastrado.',
        28 => 'Não existe consumidor para o cartão informado.',
        29 => 'Consumidor não possui benefício suficiente.',
        30 => 'Não há bancos cadastrados.',
        31 => 'Intervalo selecionado já está em uso.',
        32 => 'Não há agências cadastradas neste banco.',
        33 => 'Não há contas cadastradas nesta agência.',
        34 => 'Parametrização efetuada com sucesso.',
        35 => 'Configuração de SMTP atualizada com sucesso.',
        36 => 'Consumidor nãopossui benefício suficiente.',
        37 => 'Senha registrada com sucesso.' ,
        38 => 'Máscara não cadastrada.',
        39 => 'Benefício não pode ser alterado, pois está associado à uma campanha.',
        40 => 'Não há produtos para exibir.',
        41 => 'Sem requisições.',
        43 => 'Existe movimentação para a campanha.',
        44 => 'Não há filial associada ao operador informado.',
        45 => 'Não há loja associada ao operador informado.',
        46 => 'Não há caixa associado ao operador informado.',
        47 => 'Lançamento não permitido. A loja não está associada à nenhum almoxarifado.',
        48 => 'Lançamento realizado com sucesso.',
        49 => 'Produto Alterado.',
        50 => 'Produto removido.',
        51 => 'Produto inserido.',
        52 => 'Configuração inserida.',
        53 => 'Configuração excluída.',
        54 => 'Configuração atualizada.',
        55 => 'Não há filiais cadastradas.',
        56 => 'Parametro inválido.',
        57 => 'Requisição já existente.',
        58 => 'Sem formas de pagamento cadastradas.',
        59 => 'Registro duplicado. Já existe um registro para o mesmo ambiente e impressora.',
        60 => 'O produto ',
        61 => ' foi excluido com sucesso.',
        62 => 'Configuração de tela não encontrada para o caixa ativo.',
        63 => 'Operador não associado a nenhuma loja da filial selecionada.',
        64 => 'Email inválido.',
        65 => 'Link inválido.',
        66 => 'Tipo de estrutura adicionada com sucesso.',
        67 => 'Estrutura adicionada com sucesso.',
        68 => 'Tipo de hierarquia adicionada com sucesso.',
        69 => 'Estrutura excluída com sucesso.',
        70 => 'Estrutura alterada com sucesso.',
        71 => 'Email enviado com sucesso.',
        72 => 'Não foi possível enviar o email, confira a configuração do SMTP.',
        73 => 'cartões criados.',
        74 => 'Operador inserido com sucesso',
        75 => 'Operador já associado a essa estrutura.',
        76 => 'Há um cartão já cadastrado no intervalo selecionado. Código do cartão: ',
        77 => 'Erro ao cadastrar os cartões.',
        78 => 'Operador desassociado da estrutura.',
        79 => 'Existem operadores associados á esta estrutura. Desassocie-os para depois excluí-la.',
        80 => 'Email enviado com sucesso.',
        81 => 'Setor já cadastrado. Código: ',
        82 => 'Produto já cadastrado para este tipo de setor.',
        83 => 'Existem observações associadas à este grupo. Desassocie-os para depois excluí-lo.',
        84 => 'Existem produtos associados à esta observação. Desassocie-os para depois excluí-lo.',
        85 => 'Produto já cadastrado para este setor.',
        86 => 'Apenas a descrição do benefício e as quantidades máximas diária foi alterada, pois o mesmo está sendo utilizado.',
        87 => 'Acréscimo já está relacionado ao produto.',
        88 => ' operadores',
        89 => 'Já estão associados ',
        90 => 'Setor já está associado à filial.',
        91 => 'O produto a seguir já está associado a outro setor do mesmo tipo, que está associado a filial.',
        92 => 'O consumidor não possui senha cadastrada para ser resetada.',
        93 => 'Senha resetada com sucesso.',
        94 => 'Consumidor alterado com sucesso',
        95 => 'Ocorrência já cadastrada.',
        96 => 'Encaminhamos um e-mail para que você possa alterar sua senha antiga por uma nova.',
        97 => 'E-mail não cadastrado.',
        98 => 'Link inválido',
        99 => 'Não existe nenhum cartão ativado para esse e-mail.',
        100 => 'Não é possível excluir um produto que possui observações associadas.',
        101 => 'Recuperação de Senha',
        102 => 'Odhen Manage',
        103 => 'Odhen FidelityApp',
        104 => 'Cartões Fidelidade',
        105 => 'Teste SMTP',
        106 => 'Parametros modificados com sucesso!',
        107 => 'Produtos exportados com sucesso!',
        108 => 'Erro ao exportar Produtos!',
        109 => 'Intervalo já cadastrado.',
        110 => 'Parametrização atualizada com sucesso.',

		"criado"     => "Cadastrado com sucesso.",
		"naoCriado"  => "Não foi possível cadastrar.",
		"alterado"   => "Alterado com sucesso.",
		"excluido"   => "Excluido com sucesso.",
        "atualizado" => 'Atualizado com sucesso.',
        "exportado"  => "Produtos exportados com sucesso!"
    );

}